org.apache.pdfbox.pdmodel.interactive.form

## Class PDTextField

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDField
  - - org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField
    - - org.apache.pdfbox.pdmodel.interactive.form.PDVariableText
      - - org.apache.pdfbox.pdmodel.interactive.form.PDTextField

All Implemented Interfaces:
  COSObjectable

    public final class PDTextField
    extends PDVariableText

A text field is a box or space for text fill-in data typically entered from a keyboard. The text may be restricted to a single line or may be permitted to span multiple lines

Author:
  sug

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDVariableText

`QUADDING_CENTERED, QUADDING_LEFT, QUADDING_RIGHT`

### Constructor Summary

Constructors
Constructor and Description
`PDTextField(PDAcroForm acroForm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `doNotScroll()`
`boolean` `doNotSpellCheck()`
`String` `getDefaultValue()` Returns the default value of this field, or an empty string.
`int` `getMaxLen()` Returns the maximum number of characters of the text field.
`String` `getValue()` Returns the value of this field, or an empty string.
`String` `getValueAsString()` Returns a string representation of the "V" entry, or an empty string.
`boolean` `isComb()`
`boolean` `isFileSelect()`
`boolean` `isMultiline()`
`boolean` `isPassword()`
`boolean` `isRichText()`
`void` `setComb(boolean comb)` Set the comb bit.
`void` `setDefaultValue(String value)` Sets the default value of this field.
`void` `setDoNotScroll(boolean doNotScroll)` Set the doNotScroll bit.
`void` `setDoNotSpellCheck(boolean doNotSpellCheck)` Set the doNotSpellCheck bit.
`void` `setFileSelect(boolean fileSelect)` Set the file select bit.
`void` `setMaxLen(int maxLen)` Sets the maximum number of characters of the text field.
`void` `setMultiline(boolean multiline)` Set the multiline bit.
`void` `setPassword(boolean password)` Set the password bit.
`void` `setRichText(boolean richText)` Set the richText bit.
`void` `setValue(String value)` Sets the plain text value of this field.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDVariableText

`getDefaultAppearance, getDefaultStyleString, getQ, getRichTextValue, getStringOrStream, setDefaultAppearance, setDefaultStyleString, setQ, setRichTextValue`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField

`applyChange, getFieldFlags, getFieldType, getWidget, getWidgets, importFDF, setActions, setWidgets`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDField

`equals, getAcroForm, getActions, getAlternateFieldName, getCOSObject, getFullyQualifiedName, getInheritableAttribute, getMappingName, getParent, getPartialName, hashCode, isNoExport, isReadOnly, isRequired, setAlternateFieldName, setFieldFlags, setMappingName, setNoExport, setPartialName, setReadOnly, setRequired, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDTextField

    public PDTextField(PDAcroForm acroForm)

Parameters:
  `acroForm` - The acroform.
See Also:
  `PDField(PDAcroForm)`

### Method Detail

#### isMultiline

    public boolean isMultiline()

Returns:
  true if the field is multiline

#### setMultiline

    public void setMultiline(boolean multiline)

Set the multiline bit.

Parameters:
  `multiline` - The value for the multiline.

#### isPassword

    public boolean isPassword()

Returns:
  true if the field is a password field.

#### setPassword

    public void setPassword(boolean password)

Set the password bit.

Parameters:
  `password` - The value for the password.

#### isFileSelect

    public boolean isFileSelect()

Returns:
  true if the field is a file select field.

#### setFileSelect

    public void setFileSelect(boolean fileSelect)

Set the file select bit.

Parameters:
  `fileSelect` - The value for the fileSelect.

#### doNotSpellCheck

    public boolean doNotSpellCheck()

Returns:
  true if the field is not suppose to spell check.

#### setDoNotSpellCheck

    public void setDoNotSpellCheck(boolean doNotSpellCheck)

Set the doNotSpellCheck bit.

Parameters:
  `doNotSpellCheck` - The value for the doNotSpellCheck.

#### doNotScroll

    public boolean doNotScroll()

Returns:
  true if the field is not suppose to scroll.

#### setDoNotScroll

    public void setDoNotScroll(boolean doNotScroll)

Set the doNotScroll bit.

Parameters:
  `doNotScroll` - The value for the doNotScroll.

#### isComb

    public boolean isComb()

Returns:
  true if the field is not suppose to comb the text display.

#### setComb

    public void setComb(boolean comb)

Set the comb bit.

Parameters:
  `comb` - The value for the comb.

#### isRichText

    public boolean isRichText()

Returns:
  true if the field is a rich text field.

#### setRichText

    public void setRichText(boolean richText)

Set the richText bit.

Parameters:
  `richText` - The value for the richText.

#### getMaxLen

    public int getMaxLen()

Returns the maximum number of characters of the text field.

Returns:
  the maximum number of characters, returns -1 if the value isn't present

#### setMaxLen

    public void setMaxLen(int maxLen)

Sets the maximum number of characters of the text field.

Parameters:
  `maxLen` - the maximum number of characters

#### setValue

    public void setValue(String value)
                  throws IOException

Sets the plain text value of this field. It also tries to update the visual appearance, unless `PDAcroForm.getNeedAppearances()` is true.

Specified by:
  `setValue` in class `PDField`
Parameters:
  `value` - Plain text
Throws:
  `IOException` - if the value could not be set
  `IllegalArgumentException` - if the string contains a character that is not in the field font, see `PDVariableText.setDefaultAppearance(java.lang.String)`.

#### setDefaultValue

    public void setDefaultValue(String value)
                         throws IOException

Sets the default value of this field.

Parameters:
  `value` - Plain text
Throws:
  `IOException` - if the value could not be set

#### getValue

    public String getValue()

Returns the value of this field, or an empty string.

Returns:
  A non-null string.

#### getDefaultValue

    public String getDefaultValue()

Returns the default value of this field, or an empty string.

Returns:
  A non-null string.

#### getValueAsString

    public String getValueAsString()

Description copied from class: `PDField`
Returns a string representation of the "V" entry, or an empty string.

Specified by:
  `getValueAsString` in class `PDField`
Returns:
  The list of widget annotations.